2004-07-10  GOTO Masanori  <gotom@debian.or.jp>

	[BZ #398]
	* sysdeps/s390/s390-32/dl-machine.h: Include <sysdep.h> for CFI
	directive.
	* sysdeps/s390/s390-64/dl-machine.h: Likewise.

2005-12-05  Roland McGrath  <roland@redhat.com>

	* hurd/hurdmalloc.c: Remove $ tag $ magic.
	* mach/err_kern.sub: Likewise.
	* mach/err_server.sub: Likewise.
	* mach/err_us.sub: Likewise.
	* mach/error_compat.c: Likewise.
	* mach/errorlib.h: Likewise.
	* mach/errstring.c: Likewise.
	* mach/mach/error.h: Likewise.
	* mach/mach_error.c: Likewise.
	* mach/mach_error.h: Likewise.
	* mach/msg-destroy.c: Likewise.
	* mach/msgserver.c: Likewise.
	* sysdeps/mach/sys/reboot.h: Likewise.

	* sysdeps/generic/dwarf2.h: Replace license text with glibc LGPL.

2005-11-30  Bruno Haible  <bruno@clisp.org>

	[BZ #721]
	* sysdeps/mips/dl-machine.h: Declare functions with 'auto inline',
	not 'static inline'.

2005-11-14  Roland McGrath  <roland@redhat.com>

	[BZ #758]
	* sysdeps/unix/sysv/linux/mips/mips32/kern64/sysdep.h: Really remove.

2005-11-03  Roland McGrath  <roland@redhat.com>

	* NEWS, version.h (VERSION): 2.3.6.
	* README.template: Add note about GCC 4 compiler warnings.
	* README: Regenerated.

2005-10-24  H.J. Lu  <hongjiu.lu@intel.com>

	* sysdeps/ia64/fpu/libm-symbols.h (WEAK_LIBM_ENTRY): Add "__"
	prefix to LOCAL_LIBM_ENTRY.
	(WEAK_LIBM_END): Add "__" prefix to LOCAL_LIBM_END.

2005-10-24  Roland McGrath  <roland@redhat.com>

	[BZ #1534]
	* include/string.h: Use libc_hidden_proto, not
	libc_hidden_builtin_proto, for strnlen.

2005-10-22  Roland McGrath  <roland@redhat.com>

	* README.template: Remove GCC 4 note.
	* NEWS: Add 2.3.6 items.

2005-10-22  Roland McGrath  <roland@frob.com>

	[BZ #1254]
	* sysdeps/mach/hurd/getpeername.c (__getpeername): Fix last change.
	From Samuel Thibault <samuel.thibault@ens-lyon.org>.

2005-10-17  Thomas Schwinge  <tschwinge@gnu.org>

	[BZ #1252]
	* hurd/intr-msg.c (_hurd_intr_rpc_mach_msg): Don't use ?: as lvalue.
	* sysdeps/mach/hurd/ioctl.c (__ioctl): Likewise.

2005-08-23  GOTO Masanori  <gotom@debian.or.jp>

	[BZ #1498]
	* sysdeps/alpha/remqu.S: Return the correct result when the same
	dividend and divisor are provided, and they're negative numbers.
	* sysdeps/alpha/divqu.S: Likewise.

2005-10-16  Roland McGrath  <roland@frob.com>

	[BZ #1254]
	* sysdeps/mach/hurd/getpeername.c (__getpeername): Respect *LEN
	byte limit when setting ADDR->sa_family.
	Reported by Samuel Thibault <samuel.thibault@ens-lyon.org>.

	[BZ #1253]
	* sysdeps/mach/hurd/dl-sysdep.h
	[SHARED] (DL_ARGV_NOT_RELRO): New macro.

	[BZ #1253]
	* sysdeps/mach/hurd/i386/init-first.c (init): Make cast kosher.
	(_hurd_stack_setup): Don't declare with arguments and ellipsis.
	Use __builtin_frame_address and __builtin_return_address.
	(_dl_init_first): Likewise.

	[BZ #1249]
	* sysdeps/mach/hurd/i386/init-first.c (_cthread_init_routine): Declare
	as weak extern.
	(init): Check for it being undefined.

2005-08-05  Alfred M. Szmidt  <ams@gnu.org>

	[BZ #1252]
	* sysdeps/mach/hurd/setitimer.c (restart_itimer): Move static fn
	forward decl out of function body.
	* sysdeps/mach/hurd/profil.c: Likewise.

2005-09-30  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/i386/fpu/libm-test-ulps: Update for GCC 4.0.x.

2005-09-19  Richard Henderson  <rth@redhat.com>

        [BZ #1358]
        * sysdeps/unix/alpha/sysdep.h (inline_syscall1): Copy argument(s)
        to a temporary first.
        (inline_syscall2, inline_syscall3, inline_syscall4): Likewise.
        (inline_syscall5, inline_syscall6): Likewise.

        * sysdeps/alpha/ldiv.S (lldiv): Add alias.

2005-09-17  Andreas Jaeger  <aj@suse.de>

	* timezone/zdump.c: Include ctype.h.

2005-09-07  Alexandre Oliva  <aoliva@redhat.com>

	* timezone/test-tz.c: Update to match tzdata2005m.
	* timezone/tst-timezone.c: Likewise.

2005-09-06  Ulrich Drepper  <drepper@redhat.com>

	* timezone/africa: Update from tzdata2005m.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/backward: Likewise.
	* timezone/europe: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/zone.tab: Likewise.
	* timezone/zdump.c: Update from tzcode2005m.

2005-08-05  Ulrich Drepper  <drepper@redhat.com>

	* timezone/checktab.awk: Update from tzcode2005k.
	* timezone/private.h: Likewise.
	* timezone/scheck.c: Likewise.
	* timezone/tzselect.ksh: Likewise.
	* timezone/zdump.c: Likewise.
	* timezone/zic.c: Likewise.
	* timezone/africa: Update from tzdata2005k.
	* timezone/antarctica: Likewise.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/europe: Likewise.
	* timezone/iso3166.tab: Likewise.
	* timezone/leapseconds: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/solar87: Likewise.
	* timezone/solar88: Likewise.
	* timezone/solar89: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/zone.tab: Likewise.

2005-08-05  Roland McGrath  <roland@frob.com>

	[BZ #1251]
	* mach/shortcut.awk: Ignore `weak_alias' lines.
	Reported by Alfred M. Szmidt <ams@gnu.org>.

	[BZ #1250]
	* sysdeps/mach/hurd/mig-reply.c (reply_port): Don't use ?: as lvalue.
	Reported by Alfred M. Szmidt <ams@gnu.org>.

2005-07-28  Thomas Schwinge  <schwinge@nic-nac-project.de>

	[BZ #1137]
	* misc/error.c [_LIBC]: Include <stdbool.h> and <stdint.h>.

2005-09-26  Steven Munroe  <sjmunroe@us.ibm.com>

	[BZ #1384]
	* sysdeps/powerpc/fpu/libm-test-ulps: Adjust expected y1, y1f, yn,
	ynf results.

2005-07-24  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1125]
	* posix/Makefile (tests): Add tst-execvp4.
	* posix/tst-execvp4.c: New file.

2005-07-24  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1125]
	* posix/execvp.c (execvp): Change path_malloc to
	char *, free that pointer on failure.

2005-07-20  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1138]
	* sysdeps/x86_64/fpu/libm-test-ulps: Adjust expected atan2f results.
	* sysdeps/powerpc/fpu/libm-test-ulps: Likewise.
	* sysdeps/s390/fpu/libm-test-ulps: Likewise.

2005-07-20  Bob Wilson  <bob.wilson@acm.org>
 	    Darin Petkov  <darin@tensilica.com>

	[BZ #1138]
	* sysdeps/ieee754/flt-32/e_atan2f.c (pi_lo): Correct exponent value.

2005-07-19  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1137]
	* misc/Makefile: Add rules to build and run tst-error1.
	* misc/tst-error1.c: New file.
	* misc/error.c: Fix memory leak and possibly endless loop.

2005-07-18  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1113]
	* nscd/grpcache.c (cache_addgr): Use correct maximum for group ID
	length.  Patch by Ivan Gyurdiev <ivg2@cornell.edu>.

2005-07-15  Andreas Jaeger  <aj@suse.de>

	[BZ #1079]
	* include/stdlib.h: Remove malloc attribute from __posix_memalign.
	* stdlib/stdlib.h: Likewise.

2005-07-13  Ulrich Drepper  <drepper@redhat.com>

	* nscd/nscd_helper.c: Add a few __builtin_expect.

	[BZ #1080]
	* nscd/connections.c (send_ro_fd): Make sure BUF is aligned correctly.
	* nscd/nscd_helper.c (wait_on_socket): New function.
	(get_mapping): Use wait_on_socket instead of poll.  The former handles
	EINTR of poll correctly.
	(__nscd_open_socket): Likewise.
	(get_mapping): Make sure BUF is aligned correctly.
	(get_mapping): Use munmap on correct pointer.

2005-07-12  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1106]
	* sysdeps/unix/sysv/linux/ia64/has_cpuclock.c: Include not-cancel.h.
	(has_cpuclock): Use open_not_cancel_2 instead of open, read_not_cancel
	instead of read and close_not_cancel_no_status instead of close.

	[BZ #1106]
	* sysdeps/s390/s390-64/bcopy.S (__bcopy): Use
	HIDDEN_BUILTIN_JUMPTARGET to jump to memmove.

2005-07-05  Thorsten Kukuk  <kukuk@suse.de>

	[BZ #1111]
	* nis/nss_compat/compat-grp.c (internal_getgrgid_r): Check if NSS
	module provides getgrgid_r.
	(getgrnam_plusgroup): Preserve original return value.
	* nis/nss_compat/compat-pwd.c (getpwnam_plususer): Preserve
	original return value.
	* nis/nss_compat/compat-spwd.c (getspnam_plususer): Likewise.

2005-07-05  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1101]
	* posix/regex_internal.c (build_wcs_buffer): Use MB_LEN_MAX not
	MB_CUR_MAX.
	(build_wcs_upper_buffer): Likewise.

2005-06-16  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1016]
	* sysdeps/ia64/strlen.S (strlen): Change l2 into a local label.

2005-06-23  Thorsten Kukuk  <kukuk@suse.de>

	[BZ #1109]
	* nscd/nscd_stat.c (receive_print_stats): Replace YESSTR/NOSTR
	with own translation.

2005-06-25  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1097]
	* sunrpc/xdr.c (xdr_hyper, xdr_u_hyper): When decoding, cast
	t2 to uint32_t instead of ulong.
	* sunrpc/Makefile (tests): Add tst-xdrmem.
	* sunrpc/tst-xdrmem.c: New test.

2005-06-20  Jakub Jelinek  <jakub@redhat.com>

	[BZ #653]
	* sysdeps/unix/sysv/linux/sys/quota.h: Add definitions and types for
	_LINUX_QUOTA_VERSION >= 2.
	(_LINUX_QUOTA_VERSION): Define if not yet defined.

2005-06-17  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1106]
	* time/mktime.c: Always include <string.h> for prototype of
	implicitly used memcpy.

	[BZ #1104]
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/truncate64.c
	(truncate64): Use __truncate, not truncate.
	(__have_no_truncate64): Renamed from have_no_truncate64.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/ftruncate64.c
	(__have_no_truncate64): Renamed from have_no_truncate64.

	* sysdeps/powerpc/fpu/libm-test-ulps: Adjust ulps for complex
	float functions for gcc 4.

2005-06-17  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1106]
	* sysdeps/posix/sigignore.c: Include <string.h> to tell the compiler
	to use __GI_memset.
	* sysdeps/posix/signal.c: Likewise.
	* sysdeps/posix/sigset.c: Likewise.
	* sysdeps/posix/sysv_signal.c: Likewise.
	* sysdeps/unix/sysv/linux/sleep.c: Likewise.
	* sysdeps/unix/sysv/linux/sysctl.c: Likewise.
	* sysdeps/unix/sysv/linux/system.c: Likewise.

2005-06-15  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1088]
	* hesiod/hesiod.c (hesiod_init): Don't check for ctx->classes[0] == 0
	or both classes equal here.
	(parse_config_file): If both classes are equal, clear the second one.

2005-06-08  Karl Kelley  <kekelley@iastate.edu>

	[BZ #1088]
	* hesiod/hesiod_p.h (struct hesiod_p): Add classes array.
	* hesiod/hesiod.c (hesiod_init): Initialize classes.  Fail if no
	valid classes were given or if both are equal.
	(hesiod_resolve): Use ctx->classes instead of hardcoded C_IN
	and C_HS order.
	(parse_config_file): Handle classes keyword.
	* hesiod/README.hesiod: Mention addition of the classes keyword.

2005-06-14  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1085]
	* configure.in: Add test for availability of libaudit.
	* config.h.in: Define HAVE_LIBAUDIT.
	* config.make.in: Define have-libaudit.
	* nscd/Makefile: If libaudit is available, link nscd with it.
	* nscd/selinux.c: If HAVE_LIBAUDIT is defined, log using libaudit.
	Patch by Steve Grubb <sgrubb@redhat.com>.

	[BZ #1083]
	* sysdeps/posix/posix_fallocate64.c: Use __libc_pread64 instead of
	__pread64.

	[BZ #1087]
	* include/string.h: Use libc_hidden_proto for strnlen.
	* sysdeps/generic/strnlen.c: Add libc_hidden_def.

2005-06-13  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1096]
	* sysdeps/unix/sysv/linux/netlinkaccess.h (__netlink_sendreq,
	__netlink_receive): Remove prototypes.
	(__netlink_request): New prototype.
	* sysdeps/unix/sysv/linux/ifaddrs.c: Include <alloca.h> and
	<stdint.h>.
	(__netlink_sendreq): Make static.
	(__netlink_receive): Rename to...
	(__netlink_request): ... this.  Add type argument, call
	__netlink_sendreq.  If MSG_TRUNC is set after recvmsg, retry
	with a bigger buffer.  Don't record buffers that contain no
	messages we are expecting.
	(getifaddrs): Use __netlink_request instead of __netlink_sendreq
	and __netlink_receive pairs.  Formatting.
	* sysdeps/unix/sysv/linux/if_index.c (if_nameindex_netlink): Use
	__netlink_request instead of __netlink_sendreq and __netlink_receive
	pair.

2005-05-23  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1086]
	* sunrpc/bindrsvprt.c (LOWPORT): Apparently some mountd
	implementations are broken and don't accept ports < 512.

2005-05-22  Dmitry V. Levin  <ldv@altlinux.org>

	[BZ #961]
	* io/sys/sendfile.h: Remove __nonnull from sendfile and sendfile64
	declarations.

2005-05-23  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1086]
	* sunrpc/pm_getport.c (__get_socket): New function.
	(pmap_getport): Use it to open a non-reserved socket to the portmapper
	for TCP.
	* include/rpc/pmap_clnt.h (__get_socket): Declare.
	* sunrpc/pm_getmaps.c (pmap_getmaps): Use __get_socket to get an
	non-reserved socket for the portmapper.
	Based on a patch by Steve Dickson <steved@redhat.com>.

	[BZ #1086]
	* sunrpc/bindrsvprt.c (bindresvport): Try harder to find a port.
	If we tried looking at the usual range without success extend the
	range to even lower ports.

2005-05-19  Jakub Jelinek  <jakub@redhat.com>

	[BZ #955]
	* iconvdata/ibm939.c (BODY): Avoid segfaults with input characters
	<UFFFF> and above.

2005-05-17  Neal H. Walfield  <neal@gnu.org>

	[BZ #1350]
	* sysdeps/posix/getaddrinfo.c (gaih_local): Check [_HAVE_SA_LEN]
	instead of [SALEN].
	(gaih_inet): Likewise.

2005-04-13  Andreas Schwab  <schwab@suse.de>

	[BZ #721]
	* sysdeps/ia64/dl-machine.h (ELF_MACHINE_RUNTIME_TRAMPOLINE)
	[PROF]: Open code strong_alias because the original name is not
	visible to the compiler.
	* sysdeps/powerpc/powerpc64/dl-machine.h
	(ELF_MACHINE_RUNTIME_TRAMPOLINE) [PROF]: Likewise.

2005-05-06  Jakub Jelinek  <jakub@redhat.com>

	[BZ #934]
	* posix/regex_internal.h: Include bits/libc-lock.h or define dummy
	__libc_lock_* macros if not _LIBC.
	(struct re_dfa_t): Add lock.
	* posix/regcomp.c (re_compile_internal): Add __libc_lock_init.
	* posix/regexec.c (regexec, re_search_stub): Add locking.

2005-05-03  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/i386/fpu/libm-test-ulps: Adjust for gcc 4.

2005-04-29  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1083]
	* sysdeps/posix/posix_fallocate.c (posix_fallocate): If len == 0,
	call ftruncate if offset is bigger than current size.  Make sure
	the file is offset + len bytes long if that is more than current size.
	Don't overwrite previous content of the file.
	* sysdeps/posix/posix_fallocate64.c (__posix_fallocate64_l64):
	Likewise.

2005-04-29  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1093]
	* nis/nis_table.c: Fix realloc handling.
	* nis/nis_removemember.c: Likewise.

2005-04-27  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1094]
	* nscd/connections.c (nscd_run): Use time() value in prune_cache
	call, not timeout value, since the latter might be from another clock.

2005-04-27  Roland McGrath  <roland@redhat.com>

	[BZ #877]
	* posix/unistd.h: Remove __nonnull from acct decl.

2005-04-26  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1105]
	* time/strptime_l.c (__strptime_internal): Handle 'z' to set
	tm_gmtoff.
	* time/Makefile (tests): Add tst-strptime2.
	* time/tst-strptime2.c: New file.

2005-04-26  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1081]
	* elf/dl-close.c: Include stddef.h.
	(_dl_close): If called recursively, just remember GC needs to be rerun
	and decrease l_direct_opencount.  Avoid GC if l_direct_opencount
	decreased to 1.  Rerun GC at the end if any destructor unloaded some
	additional libraries.
	* elf/Makefile: Add rules to build and run unload6 test.
	* elf/unload6.c: New test.
	* elf/unload6mod1.c: New file.
	* elf/unload6mod2.c: New file.
	* elf/unload6mod3.c: New file.

2005-04-26  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1110]
	* stdio-common/vfscanf.c: Correctly account for characters of
	decimal points right after +-.

2005-04-24  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1110]
	* stdio-common/vfscanf.c: Fix parsing of decimal point after +-.
	Patch by Hamed Malek <hamed@bamdad.org>.

2005-04-14  Roland McGrath  <roland@redhat.com>

	[BZ #253]
	* po/libc.pot: Regenerated.

	* MakeTAGS ($P/$(domain).pot): Depend on distinfo file as well.
	(extract): Filter-out distinfo file name.

	[BZ #253]
	* MakeTAGS (text-srcs): Match %.bash.in files too.

	[BZ #253]
	* nscd/Makefile (all-nscd-modules): New variable, include selinux
	module regardless of configuration.
	(distribute): Use that instead of $(nscd-modules).

2005-04-14  Ulrich Drepper  <drepper@redhat.com>

	[BZ #851]
	* posix/execvp.c (execvp): Use file name including path when
	trying to run it with shell.
	* posix/Makefile: Add rules to build and run tst-execvp3.
	* posix/tst-execvp3.c: New file.

2005-04-12  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1090]
	* stdlib/random_r.c (__initstate_r): Don't use non-existing state.
	* string/tst-strfry.c: New file.
	* string/Makefile (tests): Add tst-strfry.

2005-04-11  James A. Morrison  <ja2morri@uwaterloo.ca>

	* manual/string.texi: Fix typo in wmemcpy decl.

2005-04-07  Roland McGrath  <roland@redhat.com>

	* po/libc.pot: Regenerated.

2005-04-04  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1082]
	* sunrpc/pmap_rmt.c (xdr_rmtcall_args): Use a dummy arglen instead
	of trying to encode uninitialized arglen.

2005-03-29  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1087]
	* posix/fnmatch.c (fnmatch): For short patterns or strings attempt to
	avoid calling mbsrtowcs twice.

2005-02-10  H.J. Lu  <hongjiu.lu@intel.com>

	[BZ #1076]
	* sysdeps/ia64/elf/initfini.c: Add local _init and _fini labels.

2005-02-27  Denis Barbier  <barbier@debian.org>

	[BZ #549]
	* locale/iso-4217.def: Add CSD currency.

2005-03-21  Thorsten Kukuk  <kukuk@suse.de>

	[BZ #1098]
	* sunrpc/xdr_stdio.c (xdrstdio_getlong, xdrstdio_putlong):
	Convert correctly between long/int on 64bit big-endian.

2005-03-15  Jakub Jelinek  <jakub@redhat.com>

	[BZ #779]
	* malloc/malloc.c (public_mTRIm): Initialize malloc if not yet
	initialized.

2005-03-05  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1101]
	* posix/regex_internal.c [_LIBC] (build_wcs_buffer): Avoid using
	dynamically sized array.
	(build_wcs_upper_buffer): Likewise.

2005-02-22  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1095]
	* malloc/Makefile (CFLAGS-mcheck-init.c): Add.
	* sunrpc/Makefile: Add $(PIC-ccflag) to CFLAGS-x* for
	librpcsvc.a objects.

2005-02-21  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1107]
	* iconvdata/ibm930.h: Correct Yen mapping.
	* iconvdata/ibm939.h: Likewise.
	* iconvdata/testdata/IBM930..UTF8: Adjust test data.
	* iconvdata/testdata/IBM939..UTF8: Likewise.
	Patch by Jiro Sekiba <SEKIBA@jp.ibm.com>.

2005-02-11  Jakub Jelinek  <jakub@redhat.com>

	[BZ #1100]
	* debug/chk_fail.c (__chk_fail): Add a while (1) loop around
	__libc_message to kill GCC warning about noreturn function returning.

2005-02-07  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/dl-execstack.c: Include sysdep.h.
	(_dl_make_stack_executable): Make sure registers are set correctly.

2005-01-30  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1103]
	* nscd/nscd_helper.c (get_mapping): Use MSG_NOSIGNAL if available.
	* nscd/connections.c (send_ro_fd): Likewise.

2005-01-26  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1100]
	* debug/chk_fail.c (__chk_fail): Print program name in final message.

2005-01-14  GOTO Masanori  <gotom@debian.or.jp>

	[BZ #1108]
	* sunrpc/rpc_main.c (s_output): Generate #include <rpc/pmap_clnt.h>
	irrespective of Cflag.

2005-01-11  Thorsten Kukuk  <kukuk@suse.de>

	[BZ #1099]
	* grp/putgrent.c (putgrent): Don't write 0 as group
	ID if groupname starts with + or -.
	* pwd/putpwent.c (putpwent): Don't write 0 as user or
	group ID if user name starts with + or -.

2005-04-29  Roland McGrath  <roland@redhat.com>

	* timezone/africa: Update from tzdata2005i.
	* timezone/asia: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/yearistype: Likewise.

2005-04-15  Roland McGrath  <roland@redhat.com>

	* timezone/Makefile (zic-deps): New variable.
	($(testdata)/America/New_York): Use it instead of explicit deps.
	($(testdata)/Etc/UTC, $(testdata)/Australia/Melbourne): Likewise.
	($(testdata)/America/Sao_Paulo, $(testdata)/Asia/Tokyo): Likewise.
	(%/UTC %/Universal): New pattern rule, replaces ...
	($(testdata)/UTC, $(testdata)/Universal): ... these removed targets.
	($(testdata)/%/Berlin $(testdata)/%/London): New pattern rule.
	($(testdata)/Europe/London, $(testdata)/Europe/Berlin): Removed.

2005-04-05  Roland McGrath  <roland@redhat.com>

	* NEWS, version.h (VERSION): 2.3.5.
	* README.template: Note incompatibility with GCC 4.
	* README: Regenerated.

	* Makefile (glibc-%.tar rule): Use make -q to ensure configure scripts
	are up to date in srcdir.  Touch all configure scripts after export.

2005-04-05  H.J. Lu  <hongjiu.lu@intel.com>

	[BZ #592]
	* sysdeps/ia64/fpu/e_acosh.S: Update from Intel libm 2005-04-05
	(comment changes only).
	* sysdeps/ia64/fpu/e_acoshl.S: Likewise.
	* sysdeps/ia64/fpu/e_atanh.S: Likewise.
	* sysdeps/ia64/fpu/e_cosh.S: Likewise.
	* sysdeps/ia64/fpu/e_coshf.S: Likewise.
	* sysdeps/ia64/fpu/e_exp.S: Likewise.
	* sysdeps/ia64/fpu/e_exp10.S: Likewise.
	* sysdeps/ia64/fpu/e_exp10f.S: Likewise.
	* sysdeps/ia64/fpu/e_exp2.S: Likewise.
	* sysdeps/ia64/fpu/e_exp2f.S: Likewise.
	* sysdeps/ia64/fpu/e_expf.S: Likewise.
	* sysdeps/ia64/fpu/e_log.S: Likewise.
	* sysdeps/ia64/fpu/e_logf.S: Likewise.
	* sysdeps/ia64/fpu/e_pow.S: Likewise.
	* sysdeps/ia64/fpu/e_powf.S: Likewise.
	* sysdeps/ia64/fpu/e_sinh.S: Likewise.
	* sysdeps/ia64/fpu/e_sinhf.S: Likewise.
	* sysdeps/ia64/fpu/libm_error.c: Likewise.
	* sysdeps/ia64/fpu/libm_lgamma.S: Likewise.
	* sysdeps/ia64/fpu/libm_lgammaf.S: Likewise.
	* sysdeps/ia64/fpu/libm_lgammal.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincos.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincosf.S: Likewise.
	* sysdeps/ia64/fpu/s_asinh.S: Likewise.
	* sysdeps/ia64/fpu/s_atanl.S: Likewise.
	* sysdeps/ia64/fpu/s_cos.S: Likewise.
	* sysdeps/ia64/fpu/s_cosf.S: Likewise.
	* sysdeps/ia64/fpu/s_erf.S: Likewise.
	* sysdeps/ia64/fpu/s_erfc.S: Likewise.
	* sysdeps/ia64/fpu/s_erfcf.S: Likewise.
	* sysdeps/ia64/fpu/s_erfcl.S: Likewise.
	* sysdeps/ia64/fpu/s_erff.S: Likewise.
	* sysdeps/ia64/fpu/s_expm1.S: Likewise.
	* sysdeps/ia64/fpu/s_expm1f.S: Likewise.
	* sysdeps/ia64/fpu/s_log1p.S: Likewise.
	* sysdeps/ia64/fpu/s_tanf.S: Likewise.
	* sysdeps/ia64/fpu/s_tanh.S: Likewise.
	* sysdeps/ia64/fpu/s_tanhf.S: Likewise.
	* sysdeps/ia64/fpu/w_tgamma.S: Likewise.
	* sysdeps/ia64/fpu/w_tgammaf.S: Likewise.
	* sysdeps/ia64/fpu/w_tgammal.S: Likewise.

2005-04-04  Ulrich Drepper  <drepper@redhat.com>

	[BZ #825]
	* timezone/scheck.c: Update from tzcode2005h.
	* timezone/tzfile.h: Likewise.
	* timezone/zdump.c: Likewise.
	* timezone/zic.c: Likewise.

	[BZ #825]
	* timezone/antarctica: Update from tzdata2005h.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/etcetera: Likewise.
	* timezone/europe: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/leapseconds: Likewise.
	* timezone/iso3166.tab: Likewise.

2005-03-31  H.J. Lu  <hongjiu.lu@intel.com>

	[BZ #592]
	* sysdeps/ia64/fpu/libm_cpu_defs.h: Update copyright.

2005-03-30  H.J. Lu  <hongjiu.lu@intel.com>

	[BZ #592]
	* sysdeps/ia64/fpu/e_acosf.S: Update from Intel libm 2005-03-21.
	* sysdeps/ia64/fpu/e_acoshf.S: Likewise.
	* sysdeps/ia64/fpu/e_acoshl.S: Likewise.
	* sysdeps/ia64/fpu/e_acosh.S: Likewise.
	* sysdeps/ia64/fpu/e_acosl.S: Likewise.
	* sysdeps/ia64/fpu/e_acos.S: Likewise.
	* sysdeps/ia64/fpu/e_asinf.S: Likewise.
	* sysdeps/ia64/fpu/e_asinl.S: Likewise.
	* sysdeps/ia64/fpu/e_asin.S: Likewise.
	* sysdeps/ia64/fpu/e_atan2f.S: Likewise.
	* sysdeps/ia64/fpu/e_atan2.S: Likewise.
	* sysdeps/ia64/fpu/e_atanhf.S: Likewise.
	* sysdeps/ia64/fpu/e_atanhl.S: Likewise.
	* sysdeps/ia64/fpu/e_atanh.S: Likewise.
	* sysdeps/ia64/fpu/e_coshf.S: Likewise.
	* sysdeps/ia64/fpu/e_coshl.S: Likewise.
	* sysdeps/ia64/fpu/e_cosh.S: Likewise.
	* sysdeps/ia64/fpu/e_exp10f.S: Likewise.
	* sysdeps/ia64/fpu/e_exp10l.S: Likewise.
	* sysdeps/ia64/fpu/e_exp10.S: Likewise.
	* sysdeps/ia64/fpu/e_exp2f.S: Likewise.
	* sysdeps/ia64/fpu/e_exp2l.S: Likewise.
	* sysdeps/ia64/fpu/e_exp2.S: Likewise.
	* sysdeps/ia64/fpu/e_expf.S: Likewise.
	* sysdeps/ia64/fpu/e_exp.S: Likewise.
	* sysdeps/ia64/fpu/e_fmodf.S: Likewise.
	* sysdeps/ia64/fpu/e_fmodl.S: Likewise.
	* sysdeps/ia64/fpu/e_fmod.S: Likewise.
	* sysdeps/ia64/fpu/e_hypotf.S: Likewise.
	* sysdeps/ia64/fpu/e_hypotl.S: Likewise.
	* sysdeps/ia64/fpu/e_hypot.S: Likewise.
	* sysdeps/ia64/fpu/e_lgammaf_r.c: Likewise.
	* sysdeps/ia64/fpu/e_lgammal_r.c: Likewise.
	* sysdeps/ia64/fpu/e_lgamma_r.c: Likewise.
	* sysdeps/ia64/fpu/e_log2f.S: Likewise.
	* sysdeps/ia64/fpu/e_log2l.S: Likewise.
	* sysdeps/ia64/fpu/e_log2.S: Likewise.
	* sysdeps/ia64/fpu/e_logf.S: Likewise.
	* sysdeps/ia64/fpu/e_logl.S: Likewise.
	* sysdeps/ia64/fpu/e_log.S: Likewise.
	* sysdeps/ia64/fpu/e_powf.S: Likewise.
	* sysdeps/ia64/fpu/e_powl.S: Likewise.
	* sysdeps/ia64/fpu/e_pow.S: Likewise.
	* sysdeps/ia64/fpu/e_remainderf.S: Likewise.
	* sysdeps/ia64/fpu/e_remainderl.S: Likewise.
	* sysdeps/ia64/fpu/e_remainder.S: Likewise.
	* sysdeps/ia64/fpu/e_scalbf.S: Likewise.
	* sysdeps/ia64/fpu/e_scalbl.S: Likewise.
	* sysdeps/ia64/fpu/e_scalb.S: Likewise.
	* sysdeps/ia64/fpu/e_sinhf.S: Likewise.
	* sysdeps/ia64/fpu/e_sinhl.S: Likewise.
	* sysdeps/ia64/fpu/e_sinh.S: Likewise.
	* sysdeps/ia64/fpu/e_sqrtf.S: Likewise.
	* sysdeps/ia64/fpu/e_sqrtl.S: Likewise.
	* sysdeps/ia64/fpu/e_sqrt.S: Likewise.
	* sysdeps/ia64/fpu/libm_error.c: Likewise.
	* sysdeps/ia64/fpu/libm_lgammaf.S: Likewise.
	* sysdeps/ia64/fpu/libm_lgammal.S: Likewise.
	* sysdeps/ia64/fpu/libm_lgamma.S: Likewise.
	* sysdeps/ia64/fpu/libm_scalblnf.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincosf.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincos_large.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincosl.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincos.S: Likewise.
	* sysdeps/ia64/fpu/libm_support.h: Likewise.
	* sysdeps/ia64/fpu/s_asinhl.S: Likewise.
	* sysdeps/ia64/fpu/s_asinh.S: Likewise.
	* sysdeps/ia64/fpu/s_atanf.S: Likewise.
	* sysdeps/ia64/fpu/s_atanl.S: Likewise.
	* sysdeps/ia64/fpu/s_cbrtf.S: Likewise.
	* sysdeps/ia64/fpu/s_cbrtl.S: Likewise.
	* sysdeps/ia64/fpu/s_cosf.S: Likewise.
	* sysdeps/ia64/fpu/s_cosl.S: Likewise.
	* sysdeps/ia64/fpu/s_cos.S: Likewise.
	* sysdeps/ia64/fpu/s_erfcf.S: Likewise.
	* sysdeps/ia64/fpu/s_erfcl.S: Likewise.
	* sysdeps/ia64/fpu/s_erfc.S: Likewise.
	* sysdeps/ia64/fpu/s_erfl.S: Likewise.
	* sysdeps/ia64/fpu/s_erf.S: Likewise.
	* sysdeps/ia64/fpu/s_expm1f.S: Likewise.
	* sysdeps/ia64/fpu/s_expm1l.S: Likewise.
	* sysdeps/ia64/fpu/s_expm1.S: Likewise.
	* sysdeps/ia64/fpu/s_fdimf.S: Likewise.
	* sysdeps/ia64/fpu/s_fdiml.S: Likewise.
	* sysdeps/ia64/fpu/s_fdim.S: Likewise.
	* sysdeps/ia64/fpu/s_frexp.c: Likewise.
	* sysdeps/ia64/fpu/s_frexpf.c: Likewise.
	* sysdeps/ia64/fpu/s_frexpl.c: Likewise.
	* sysdeps/ia64/fpu/s_ilogbf.S: Likewise.
	* sysdeps/ia64/fpu/s_ilogbl.S: Likewise.
	* sysdeps/ia64/fpu/s_ilogb.S: Likewise.
	* sysdeps/ia64/fpu/s_ldexp.c: Likewise.
	* sysdeps/ia64/fpu/s_ldexpf.c: Likewise.
	* sysdeps/ia64/fpu/s_ldexpl.c: Likewise.
	* sysdeps/ia64/fpu/s_libm_ldexpf.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_ldexpl.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_ldexp.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_scalbnf.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_scalbnl.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_scalbn.S: Likewise.
	* sysdeps/ia64/fpu/s_log1pf.S: Likewise.
	* sysdeps/ia64/fpu/s_log1pl.S: Likewise.
	* sysdeps/ia64/fpu/s_log1p.S: Likewise.
	* sysdeps/ia64/fpu/s_logbf.S: Likewise.
	* sysdeps/ia64/fpu/s_logbl.S: Likewise.
	* sysdeps/ia64/fpu/s_logb.S: Likewise.
	* sysdeps/ia64/fpu/s_nearbyintf.S: Likewise.
	* sysdeps/ia64/fpu/s_nearbyintl.S: Likewise.
	* sysdeps/ia64/fpu/s_nearbyint.S: Likewise.
	* sysdeps/ia64/fpu/s_nextafterf.S: Likewise.
	* sysdeps/ia64/fpu/s_nextafterl.S: Likewise.
	* sysdeps/ia64/fpu/s_nextafter.S: Likewise.
	* sysdeps/ia64/fpu/s_nexttowardf.S: Likewise.
	* sysdeps/ia64/fpu/s_nexttowardl.S: Likewise.
	* sysdeps/ia64/fpu/s_nexttoward.S: Likewise.
	* sysdeps/ia64/fpu/s_roundf.S: Likewise.
	* sysdeps/ia64/fpu/s_roundl.S: Likewise.
	* sysdeps/ia64/fpu/s_round.S: Likewise.
	* sysdeps/ia64/fpu/s_scalblnf.c: Likewise.
	* sysdeps/ia64/fpu/s_scalbn.c: Likewise.
	* sysdeps/ia64/fpu/s_scalbnf.c: Likewise.
	* sysdeps/ia64/fpu/s_scalbnl.c: Likewise.
	* sysdeps/ia64/fpu/s_tanf.S: Likewise.
	* sysdeps/ia64/fpu/s_tanhl.S: Likewise.
	* sysdeps/ia64/fpu/s_tanh.S: Likewise.
	* sysdeps/ia64/fpu/s_tanl.S: Likewise.
	* sysdeps/ia64/fpu/s_tan.S: Likewise.
	* sysdeps/ia64/fpu/w_lgamma.c: Likewise.
	* sysdeps/ia64/fpu/w_lgammaf.c: Likewise.
	* sysdeps/ia64/fpu/w_lgammal.c: Likewise.
	* sysdeps/ia64/fpu/w_tgammaf.S: Likewise.
	* sysdeps/ia64/fpu/w_tgammal.S: Likewise.
	* sysdeps/ia64/fpu/w_tgamma.S: Likewise.

	[BZ #592]
	* sysdeps/ia64/fpu/libm_cpu_defs.h: New file.
	* sysdeps/ia64/fpu/libm_error_codes.h: New file.

	[BZ #592]
	* sysdeps/ia64/fpu/gen_import_file_list: Updated for Intel libm
	2005-03-21.
	* sysdeps/ia64/fpu/import_file.awk: Likewise.
	* sysdeps/ia64/fpu/import_intel_libm: Likewise.
	* sysdeps/ia64/fpu/Makefile: Likewise.

2005-03-29  Thorsten Kukuk  <kukuk@suse.de>

	[BZ #661]
	* grp/initgroups.c (internal_getgrouplist): Check if we have
	enough space before adding the primary group to the list.

	* posix/tst-execle1.c (do_test): Fix execle arguments.
	* posix/tst-execle2.c (do_test): Likewise.

2005-03-25  Jakub Jelinek  <jakub@redhat.com>

	[BZ #721]
	* sysdeps/generic/wcstoul_l.c: Include "wcstol_l.c" rather than
	<wcstol_l.c>.

2005-03-23  Jakub Jelinek  <jakub@redhat.com>

	[BZ #822]
	* nis/ypclnt.c (yp_2_yperr): Revert 2004-11-30 patch.
	(ypprot_err): Use yp_2_yperr table also for YP_NODOM .. YP_NOMORE.

2005-03-20  Alfred M. Szmidt  <ams@gnu.org>

	* elf/dl-open.c (dl_open_worker): Fix typo.

2005-03-19  Ulrich Drepper  <drepper@redhat.com>

	[BZ #821]
	* elf/dl-lookup.c (add_dependency): Always search l_initfini if
	the list exists.

	[BZ #821]
	* elf/Makefile: Add rules to build and run order2.
	* elf/order2.c: New file.
	* elf/order2mod1.c: New file.
	* elf/order2mod2.c: New file.
	* elf/order2mod3.c: New file.
	* elf/order2mod4.c: New file.

2005-03-19  Jakub Jelinek  <jakub@redhat.com>

	[BZ #821]
	* elf/dl-open.c (dl_open_worker): Print exact l_direct_opencount value,
	it has been incremented before.

2005-03-18  Ulrich Drepper  <drepper@redhat.com>

	[BZ #821]
	* elf/dl-fini.c (_dl_fini): Split sorting of the maps in separate
	function _dl_sort_fini.
	(_dl_sort_fini): New function.
	* sysdeps/generic/ldsodefs.h: Declare _dl_sort_fini.
	* elf/dl-close.c (_dl_close): Call _dl_sort_fini before running
	destructors to call them in the right order.

2005-03-18  Ulrich Drepper  <drepper@redhat.com>

	[BZ #821]
	* include/link.h (struct link_map): Remove l_opencount.  Add l_removed.
	Change type of l_idx to int.
	* elf/dl-close.c: Basically rewrite.  Do not use l_opencount to
	determine whether a DSO has to be unloaded.  Instead compute this
	in this function.
	* elf/dl-deps.c: No need to manipulate l_opencount anymore.
	* elf/dl-lookup.c: Likewise.
	* elf/rtld.c: Likewise
	* elf/dl-open.c: Likewise.  Use l_init_called to determine whether
	object was just loaded.
	* elf/dl-fini.c: Bump l_direct_opencount instead of l_opencount.
	* elf/dl-load.c (_dl_map_object_from_fd): Do not recognize DSO which
	is about to be unloaded as a match.
	(_dl_map_object): Likewise.
	* elf/do-lookup.h (do_lookup_x): Do not look into DSO which is about
	to be unloaded.
	* elf/circleload1.c: Don't use l_opencount anymore.
	* elf/neededtest.c: Likewise.
	* elf/neededtest2.c: Likewise.
	* elf/neededtest3.c: Likewise.
	* elf/neededtest4.c: Likewise.
	* elf/unload.c: Likewise.
	* elf/unload2.c: Likewise.
	* elf/loadtest.c: Likewise.

	[BZ #821]
	* elf/rtld.c: Preloading errors are now never fatal.

2005-03-08  Jakub Jelinek  <jakub@redhat.com>

	[BZ #821]
	* elf/Makefile: Add rules to build and run unload5 test.
	* elf/unload5.c: New file.

	[BZ #821]
	* elf/Makefile: Add rules to build and run unload4 test.
	* elf/unload4.c: New file.
	* elf/unload4mod1.c: New file.
	* elf/unload4mod2.c: New file.
	* elf/unload4mod3.c: New file.
	* elf/unload4mod4.c: New file.

2005-03-05  Roland McGrath  <roland@redhat.com>

	[BZ #821]
	* elf/unload3mod4.c: Declare foo.
	* elf/testobj2.c: Include <stdio.h>.

2005-03-05  Jakub Jelinek  <jakub@redhat.com>

	[BZ #721]
	* sysdeps/i386/dl-machine.h (ELF_MACHINE_NO_RELA): Define
	unconditionally to (defined RTLD_BOOTSTRAP).
	* sysdeps/arm/dl-machine.h (ELF_MACHINE_NO_RELA): Likewise.

2005-03-01  H.J. Lu  <hongjiu.lu@intel.com>

	[BZ #776]
	* iconv/iconvconfig.c: Fix comment for the output file.
	(write_output): Clear padding in header.

2005-03-03  Ulrich Drepper  <drepper@redhat.com>

	[BZ #821]
	* elf/dl-close.c (_dl_close): Don't try to set up new searchpath if the
	loader is closed.  Fixes unload3.
	* elf/tst-global1.c: New file.
	* elf/Makefile (tests): Add tst-global1.
	* elf/testobj2.c (p): New function.

2005-03-03  Jakub Jelinek  <jakub@redhat.com>

	[BZ #821]
	* elf/Makefile: Add rules to build and run unload3 test.
	* elf/unload3.c: New test.
	* elf/unload3mod1.c: New file.
	* elf/unload3mod2.c: New file.
	* elf/unload3mod3.c: New file.
	* elf/unload3mod4.c: New file.

2005-03-16  Richard Henderson  <rth@redhat.com>

	[BZ #721]
	* include/libc-symbols.h (__hidden_proto): Remove bogus declaration
	of internal.
	(__hidden_def1, __hidden_dot_def1): Remove.
	(__hidden_def2, __hidden_def3): Remove.
	(__hidden_ver1): New.
	(hidden_ver, hidden_def, hidden_weak): Use it.
	(hidden_data_ver, hidden_data_ver, hidden_data_weak): Use non-data
	version of the macro.

	[BZ #721]
	* include/wchar.h (__wcscoll): Remove.
	* wcsmbs/wcscoll.c: Define wcscoll directly instead of via __wcscoll.
	* string/strcoll.c: Don't issue libc_hidden_def STRCOLL redefined.

2005-03-15  Jakub Jelinek  <jakub@redhat.com>

	[BZ #721]
	* elf/dynamic-link.h (elf_machine_rel, elf_machine_rel_relative,
	elf_machine_rela, elf_machine_rela_relative, elf_machine_lazy_rel):
	Add inline keyword.
	* sysdeps/alpha/dl-machine.h (elf_machine_rela,
	elf_machine_rela_relative, elf_machine_lazy_rel): Add always_inline
	attribute.
	* sysdeps/sparc/sparc32/dl-machine.h (elf_machine_rela,
	elf_machine_rela_relative, elf_machine_lazy_rel): Likewise.  Change
	static inline into auto inline.
	* sysdeps/sparc/sparc64/dl-machine.h (elf_machine_rela,
	elf_machine_rela_relative, elf_machine_lazy_rel): Likewise.
	* sysdeps/generic/dl-machine.h (elf_machine_rel, elf_machine_rela):
	Likewise.
	* sysdeps/arm/dl-machine.h (elf_machine_rel, elf_machine_rel_relative,
	elf_machine_rela, elf_machine_rela_relative, elf_machine_lazy_rel):
	Likewise.
	* sysdeps/s390/s390-32/dl-machine.h (elf_machine_rela,
	elf_machine_rela_relative, elf_machine_lazy_rel): Likewise.
	* sysdeps/s390/s390-64/dl-machine.h (elf_machine_rela,
	elf_machine_rela_relative, elf_machine_lazy_rel): Likewise.

2005-02-21  Alan Modra <amodra@bigpond.net.au>

	[BZ #1394]
	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h (elf_vrreg_t): Don't
	use __uint128_t.

2005-03-01  Alfred M. Szmidt  <ams@gnu.org>

	[BZ #777]
	* elf/dl-load.c (__stack_prot) [!PROT_GROWSUP && !PROT_GROWSDOWN]:
	Add missing initializer.

	[BZ #777]
	* malloc/arena.c: #include <stdbool.h> outside of [SHARED &&
	USE_TLS && !USE___THREAD].

2004-11-11  Richard Sandiford  <rsandifo@redhat.com>

	[BZ #758]
	* sysdeps/unix/sysv/linux/mips/configure.in (asm-unistd.h): Only
	preprocess <asm/unistd.h> if it defines ABI-prefixed syscall names
	like __NR_N32_open.  Just include <asm/unistd.h> otherwise.
	* sysdeps/unix/sysv/linux/mips/configure: Regenerate.
	* sysdeps/unix/sysv/linux/mips/mips32/kern64/sysdep.h: Delete
	* sysdeps/unix/sysv/linux/mips/mips64/n32/sysdep.h (SYS_ify): Use the
	standard __NR prefix.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/sysdep.h (SYS_ify): Likewise.
	* sysdeps/unix/sysv/linux/mips/Makefile (syscall-%.h): Rework so that
	the output file is compatible with both pre-2.6 and 2.6 kernel headers.
	Extract separate syscall lists for each ABI.

2005-02-23  Ulrich Drepper  <drepper@redhat.com>

	[BZ #719]
	* elf/Makefile: Run tst-tls9-static again.

2005-02-22  Ulrich Drepper  <drepper@redhat.com>

	[BZ #719]
	* sysdeps/generic/libc-tls.c (static_dtv): Size the same as the
	slotinfo array.
	(__libc_setup_tls): Initialize length of DTV based on array length.
	* elf/dl-load.c: Revert last change.
	* sysdeps/generic/dl-tls.c: Revert last change.

	* posix/Makefile (tests): Add tst-execvp1, tst-execvp2, tst-execlp1,
	tst-execlp2, tst-execv1, tst-execv2, tst-execl1, tst-execl2,
	tst-execve1, tst-execve2, tst-execle1, and tst-execle2.
	* posix/tst-execl1.c: New file.
	* posix/tst-execl2.c: New file.
	* posix/tst-execle1.c: New file.
	* posix/tst-execle2.c: New file.
	* posix/tst-execlp1.c: New file.
	* posix/tst-execlp2.c: New file.
	* posix/tst-execv1.c: New file.
	* posix/tst-execv2.c: New file.
	* posix/tst-execve1.c: New file.
	* posix/tst-execve2.c: New file.
	* posix/tst-execvp1.c: New file.
	* posix/tst-execvp2.c: New file.

2005-02-22  Jakub Jelinek  <jakub@redhat.com>

	[BZ #769]
	* nscd/nscd-client.h: Include sys/uio.h.
	(__readall, __readvall, writeall): New prototypes.
	* nscd/connections.c (writeall): New function.
	(handle_request): Use it.
	* nscd/aicache.c (addhstaiX): Likewise.
	* nscd/initgrcache.c (addinitgroupsX): Likewise.
	* nscd/hstcache.c (cache_addhst): Likewise.
	* nscd/grpcache.c (cache_addgr): Likewise.
	* nscd/pwdcache.c (cache_addpw): Likewise.
	* nscd/nscd_helper.c (__readall, __readvall): New functions.
	* nscd/nscd_getai.c (__nscd_getai): Use them.
	* nscd/nscd_getpw_r.c (__nscd_getpw_r): Likewise.
	* nscd/nscd_getgr_r.c (__nscd_getgr_r): Likewise.
	* nscd/nscd_gethst_r.c (__nscd_gethst_r): Likewise.
	* nscd/nscd_initgroups.c (__nscd_getgrouplist): Likewise.

2005-02-22  Andreas Schwab  <schwab@suse.de>

	* posix/execvp.c (execvp): Fix invalid free.

2005-02-21  Alan Modra <amodra@bigpond.net.au>

	[BZ #719]
	* elf/dl-reloc.c (_dl_nothread_init_static_tls): Assert that dtv
	array index is within bounds.

2005-02-21  Ulrich Drepper  <drepper@redhat.com>

	[BZ #719]
	* elf/dl-load.c: Do not allow PT_TLS in modules loaded in statically
	linked code.
	* sysdeps/generic/dl-tls.c [!SHARED]: Don't build _dl_next_tls_modid.
	* elf/Makefile: Remove rules to build and run tst-tls9-static.

	[BZ #719]
	* elf/dl-reloc.c (_dl_nothread_init_static_tls): Avoid using
	THREAD_DTV multiple times, this minimally reduces code size on
	some archs.

2005-02-21  Jakub Jelinek  <jakub@redhat.com>

	[BZ #768]
	* nscd/nscd_gethst_r.c (nscd_gethst_r): Set *h_errnop to
	NETDB_INTERNAL if buffer is too small.

	[BZ #768]
	* nscd/hstcache.c (INCR): Remove.
	(addhstbyX): Double buflen in each iteration rather than add INCR.
	* nscd/grpcache.c: Likewise.
	* nscd/pwdcache.c: Likewise.

2005-02-21  Ulrich Drepper  <drepper@redhat.com>

	[BZ #767]
	* posix/unistd.h: symlink and readlink are unconditionally
	available in the 2001 spec.

2005-02-16  Roland McGrath  <roland@redhat.com>

	* sysdeps/posix/getaddrinfo.c (gaih_inet): Fix type of ADDR local.

2005-02-16  Roland McGrath  <roland@redhat.com>

	[BZ #721]
	* sysdeps/i386/dl-machine.h (ELF_MACHINE_NO_RELA): Define this outside
	of [RESOLVE].
	* sysdeps/sh/dl-machine.h (ELF_MACHINE_NO_REL): Likewise.

2005-02-03  Alexandre Oliva  <aoliva@redhat.com>

	[BZ #721]
	* elf/dynamic-link.h: Don't declare nested auto functions that are
	not going to be defined.

2004-07-23  Jakub Jelinek  <jakub@redhat.com>

	[BZ #284]
	* include/features.h (_POSIX_SOURCE, _POSIX_C_SOURCE): Define
	if _XOPEN_SOURCE >= 500 even if __STRICT_ANSI__ is defined.

2005-02-11  Barry deFrese  <bddebian@comcast.net>

	[BZ #722]
	* sysdeps/mach/hurd/setresgid.c: Use weak_alias.
	* sysdeps/mach/hurd/setresuid.c: Likewise.

2005-02-14  Alan Modra  <amodra@bigpond.net.au>

	[BZ #721]
	* sysdeps/powerpc/powerpc32/dl-machine.h (elf_machine_rela): Define
	with auto inline, and attribute always_inline.
	(elf_machine_rela_relative, elf_machine_lazy_rel): Likewise.
	(elf_machine_rel, elf_machine_rel_relative): Likewise.
	* sysdeps/powerpc/powerpc64/dl-machine.h (elf_machine_rela): Likewise.
	(elf_machine_rela_relative, elf_machine_lazy_rel): Likewise.
	(elf_machine_rel, elf_machine_rel_relative): Likewise.
	(elf_machine_tprel): Likewise.

2005-02-09  Jakub Jelinek  <jakub@redhat.com>

	[BZ #710]
	* stdlib/random_r.c (__initstate_r): Save old state.
	* stdlib/Makefile (tests): Add tst-random2.
	* stdlib/tst-random2.c: New test.
	Reported by Peter Bergner <bergner@vnet.ibm.com>.

2005-02-07  Richard Henderson  <rth@redhat.com>

	[BZ #721]
	* iconvdata/jis0208.h (struct jisx0208_ucs_idx): Move before use.

2005-02-07  Ulrich Drepper  <drepper@redhat.com>

	* elf/dl-load.c (_dl_map_object_from_fd): Make sure registers are
	set correctly.

2005-01-07  Richard Henderson  <rth@redhat.com>

	[BZ #721]
	* math/math_private.h (__copysign): Define as builtin for gcc 4.
	(__copysignf, __copysignl): Likewise.
	* sysdeps/alpha/fpu/bits/mathinline.h (copysign): Don't define
	for gcc 4.0.
	(copysignf, copysignl, fabsf, fabs): Likewise.
	(__copysign, __copysignf, __copysignl): Remove.
	(__fabs, __fabsf): Remove.

2005-01-07  Jakub Jelinek  <jakub@redhat.com>

	[BZ #738]
	* elf/dl-load.c (open_path): If rtld_search_dirs is in RELRO segment,
	avoid writing to it if none of the standard search directories exist.

2005-02-07  Steven Munroe  <sjmunroe@us.ibm.com>

	[BZ #700]
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/setcontext.S
	(__novec_setcontext, __setcontext): Fix typo so CCR is restored.
	Load MSR as a doubleword.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/swapcontext.S
	(__novec_swapcontext, __swapcontext): Likewise.

2005-02-07  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/i386/sysdep.h (check_consistency): Define.

2005-02-07  Jakub Jelinek  <jakub@redhat.com>

	[BZ #741]
	* nscd/nscd.c (termination_handler): Avoid segfault if some database
	is not enabled.

	[BZ #741]
	* nscd/nscd_getai.c (__nscd_getai): If ai_resp->found == -1, set
	__nss_not_use_nscd_hosts and return -1.
	* nscd/nscd_initgroups.c (__nscd_getgrouplist): If
	initgr_resp->found == -1, set __nss_not_use_nscd_group and return -1.
	Avoid leaking sockets.

2005-02-07  Jakub Jelinek  <jakub@redhat.com>

	[BZ #742]
	* nscd/nscd.init (reload): Print Reloading nscd: before and a newline
	after the status string printed by killproc.

2005-02-02  Alfred M. Szmidt  <ams@gnu.org>

	[BZ #671]
	* sysdeps/generic/syslog.c (send_flags) [!send_flags]: Define it.

	[BZ #765]
	* libio/fmemopen.c: Include <stdint.h>.

2005-01-28  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	[BZ #743]
	* sysdeps/s390/bits/string.h (strlen, strncpy, strcat, strncat,
	strncat, memchr, strcmp): Add missing memory clobber.

2005-01-27  Jakub Jelinek  <jakub@redhat.com>

	* stdlib/tst-fmtmsg.c: Include stdlib.h.  [BZ #731]
	* stdio-common/tst-fmemopen2.c: Include string.h.  [BZ #730]
	* posix/execvp.c: Include stdbool.h.

2005-01-26  Ulrich Drepper  <drepper@redhat.com>

	[BZ #671]
	* sysdeps/unix/sysv/linux/kernel-features.h: Found reference to
	MSG_NOSIGNAL being in 2.2 kernels.

2005-01-26  Jakub Jelinek  <jakub@redhat.com>

	[BZ #737]
	* sysdeps/unix/sysv/linux/i386/sysdep.h
	(SYSCALL_ERROR_HANDLER_TLS_STORE): Remove unnecessary 0 imm.

	[BZ #693]
	* posix/regex_internal.h (DUMMY_CONSTRAINT): Rename to...
	(WORD_DELIM_CONSTRAINT): ...this.
	(NOT_WORD_DELIM_CONSTRAINT): Define.
	(re_context_type): Add INSIDE_NOTWORD and NOT_WORD_DELIM,
	change WORD_DELIM to use WORD_DELIM_CONSTRAINT.
	* posix/regcomp.c (peek_token): For \B create NOT_WORD_DELIM
	anchor instead of INSIDE_WORD.
	(parse_expression): Handle NOT_WORD_DELIM constraint.
	* posix/bug-regex19.c (tests): Adjust tests that relied on \B
	being inside word instead of not word delim.
	* posix/tst-rxspencer.c (mb_frob_pattern): Don't frob escaped
	characters.
	* posix/rxspencer/tests: Add some new tests.

2005-01-25  Roland McGrath  <roland@redhat.com>

	[BZ #671]
	* sysdeps/generic/syslog.c [NO_SIGPIPE]: Protect sigpipe_handler decl.

2005-01-23  Roland McGrath  <roland@redhat.com>

	[BZ #737]
	* sysdeps/i386/Makefile (defines): If -mno-tls-direct-seg-refs appears
	in $(CFLAGS), add -DNO_TLS_DIRECT_SEG_REFS.
	* sysdeps/unix/sysv/linux/i386/sysdep.h [USE___THREAD]
	(SYSCALL_ERROR_HANDLER) [NO_TLS_DIRECT_SEG_REFS]: Load thread pointer
	from %gs:0 and add to that value, rather that direct %gs:OFFSET access.
	* sysdeps/unix/i386/sysdep.S [NO_TLS_DIRECT_SEG_REFS]: Likewise.

2005-01-25  Jakub Jelinek  <jakub@redhat.com>

	[BZ #731]
	* stdlib/fmtmsg.c (addseverity): Remove new_string variable.
	(free_mem): Don't free string.
	* stdlib/tst-fmtmsg.c: Include string.h.
	(main): Add some more tests.

2005-01-25  Andreas Schwab  <schwab@suse.de>

	[BZ #736]
	* timezone/asia: Update from tzdata2005c.
	* timezone/backward: Likewise.
	* timezone/europe: Likewise.
	* timezone/leapseconds: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.

	[BZ #736]
	* timezone/private.h: Update from tzcode2005c.
	* timezone/tzfile.h: Likewise.
	* timezone/zdump.c: Likewise.
	* timezone/zic.c: Likewise.

2005-01-24  Ulrich Drepper  <drepper@redhat.com>

	[BZ #671]
	* misc/syslog.c: Moved to...
	* sysdeps/generic/syslog.c: ...here.
	[NO_SIGIPE]: Don't install SIGPIPE handler.
	* sysdeps/unix/sysv/linux/syslog.c: New file.
	* sysdeps/unix/sysv/linux/kernel-features.h: Define
	__ASSUME_MSG_NOSIGNAL.

2005-01-22  Ulrich Drepper  <drepper@redhat.com>

	* posix/Makefile: Use CFLAGS-*.os instead of CFLAGS-*.c for frame
	pointer option.
	* stdlib/Makefile (CFLAGS-system.os): Use this instead of
	CFLAGS-system.c for frame pointer option.

2005-01-21  Jakub Jelinek  <jakub@redhat.com>

	[BZ #735]
	* elf/Makefile: Add rules to build and run tst-align2.
	* elf/tst-align2.c: New test.
	* elf/tst-alignmod2.c: New file.
	* sysdeps/powerpc/tst-stack-align.h: New file.
	* sysdeps/i386/dl-machine.h (RTLD_START): Align stack and clear frame
	pointer before calling _dl_init.
	* sysdeps/x86_64/dl-machine.h (RTLD_START): Likewise.

2005-01-20  Ulrich Drepper  <drepper@redhat.com>

	* posix/execl.c: Do not allocate potentially large buffers on the
	stack.
	* posix/execle.c: Likewise.
	* posix/execlp.c: Likewise.
	* posix/execvp.c: Likewise.
	(script_execute): Removed.
	(allocate_scripts_argv): New function.  Called at most once to
	allocate memory, not every time a script is run.  Adjust caller.

	* sysdeps/generic/wordexp.c (exec_comm): Add a few
	TEMP_FAILURE_RETRY.  Reorganize code to avoid multiple calls to
	exec_comm_child.
	(exec_comm_child): Can now be inlined.

	* posix/Makefile: Add -fomit-frame-pointer for a few more files.
	* stdlib/Makefile: Likewise.

2005-01-19  Roland McGrath  <roland@redhat.com>

	[BZ #681]
	* sunrpc/openchild.c (_openchild): Use NULL instead of 0 for trailing
	argument to execlp.
	Reported by Marcus Meissner <meissner@suse.de>.

2005-01-19  Jakub Jelinek  <jakub@redhat.com>

	* hurd/sigunwind.c (_hurdsig_longjmp_from_handler): Fix a typo
	in assert.
	* iconv/strtab.c (strtabfinalize): Likewise.

	[BZ #730]
	* libio/iofopncook.c (_IO_cookie_seekoff): Add prototype.

2005-01-17  Roland McGrath  <roland@redhat.com>

	[BZ #745]
	* nscd/Makefile (LDLIBS-nscd): New variable.
	($(objpfx)nscd): Use that instead of selinux-LIBS.

	[BZ #745]
	* Makeconfig (link-extra-libs): Define just as $(LDLIBS-$(@F)).
	(link-extra-libs-static): Define to $(link-extra-libs).
	(link-extra-libs-bounded): Likewise.

2005-01-16  GOTO Masanori  <gotom@debian.or.jp>

	[BZ #734]
	* sysdeps/unix/rewinddir.c: Reset filepos.
	* dirent/tst-seekdir.c: Check telldir value after calling rewinddir.

2005-01-14  Ulrich Drepper  <drepper@redhat.com>

	[BZ #731]
	* stdlib/fmtmsg.c (internal_addseverity): Remove incorrect free call.
	* stdlib/tst-fmtmsg.c (main): Add another addseverity test.

2005-01-12  Ulrich Drepper  <drepper@redhat.com>

	[BZ #728]
	* posix/getconf.c: Update copyright year.
	* nss/getent.c: Likewise.
	* nscd/nscd_nischeck.c: Likewise.
	* iconv/iconvconfig.c: Likewise.
	* iconv/iconv_prog.c: Likewise.
	* elf/ldconfig.c: Likewise.
	* catgets/gencat.c: Likewise.
	* csu/version.c: Likewise.
	* elf/ldd.bash.in: Likewise.
	* elf/sprof.c (print_version): Likewise.
	* locale/programs/locale.c: Likewise.
	* locale/programs/localedef.c: Likewise.
	* nscd/nscd.c (print_version): Likewise.
	* debug/xtrace.sh: Likewise.
	* malloc/memusage.sh: Likewise.
	* malloc/mtrace.pl: Likewise.
	* debug/catchsegv.sh: Likewise.

2005-01-11  Thorsten Kukuk  <kukuk@suse.de>

	[BZ #733]
	* sunrpc/svc_tcp.c (svctcp_create): Call listen with SOMAXCONN
	as backlog.
	* sunrpc/svc_unix.c (svcunix_create): Likewise.

2005-01-10  Jakub Jelinek  <jakub@redhat.com>

	[BZ #732]
	* time/tst-strptime.c (day_tests): Add 2 new tests.
	(test_tm, main): Issue an error instead of segfaulting if
	strptime returns NULL.

2005-01-12  GOTO Masanori  <gotom@debian.or.jp>

	[BZ #650]
	* malloc/malloc.h: Always include features.h.

2005-01-10  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/generic/dl-tls.c (_dl_next_tls_modid): Fix assertion and
	recognition of last entry.

2005-01-09  Andreas Jaeger  <aj@suse.de>

	[BZ #732]
	* time/strptime_l.c (__strptime_internal): Add braces to avoid
	warning.

2005-01-08  Jakub Jelinek  <jakub@redhat.com>

	* elf/Makefile (generated): Add tst-pie1{,.out,.o}.

2005-01-06  Roland McGrath  <roland@redhat.com>

	[BZ #633]
	* sysdeps/unix/sysv/linux/futimes.c (__futimes): Catch errno values
	indicating file-name lookup errors, and return ENOSYS or EBADF instead.

2005-01-06  Ulrich Drepper  <drepper@redhat.com>

	* posix/unistd.h: Declare ftruncate for POSIX 2003.  [BZ #640]

2004-12-22  Steven Munroe  <sjmunroe@us.ibm.com>

	[BZ #602]
	* math/libm-test.inc (rint_test_tonearest): New test.
	(rint_test_towardzero): New test.
	(rint_test_downward): New test.
	(rint_test_upward): New test.
	* sysdeps/powerpc/powerpc32/fpu/s_ceil.S: Fix -0.0 case.
	Remove redundant const values.
	* sysdeps/powerpc/powerpc32/fpu/s_ceilf.S: Fix -0.0 case.
	Remove redundant const values.  Use float const.
	* sysdeps/powerpc/powerpc32/fpu/s_floor.S: Fix -0.0 case.
	* sysdeps/powerpc/powerpc32/fpu/s_floorf.S: Fix -0.0 case.
	Use float const.
	* sysdeps/powerpc/powerpc32/fpu/s_rint.S: Fix -0.0 case.
	* sysdeps/powerpc/powerpc32/fpu/s_rintf.S: Fix -0.0 case.
	Use float const.
	* sysdeps/powerpc/powerpc32/fpu/s_round.S: Fix -0.0 case.
	Remove redundant const values.
	* sysdeps/powerpc/powerpc32/fpu/s_roundf.S: Fix -0.0 case.
	Remove redundant const values.  Use float const.
	* sysdeps/powerpc/powerpc32/fpu/s_trunc.S: Fix -0.0 case.
	Remove redundant const values.
	* sysdeps/powerpc/powerpc32/fpu/s_truncf.S: Fix -0.0 case.
	Remove redundant const values.  Use float const.
	* sysdeps/powerpc/powerpc64/fpu/s_ceil.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.  Remove redundant const values.
	* sysdeps/powerpc/powerpc64/fpu/s_ceilf.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.  Remove redundant const values.
	Use float const.
	* sysdeps/powerpc/powerpc64/fpu/s_floor.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.
	* sysdeps/powerpc/powerpc64/fpu/s_floorf.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.  Use float const.
	* sysdeps/powerpc/powerpc64/fpu/s_rint.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.
	* sysdeps/powerpc/powerpc64/fpu/s_rintf.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.  Use float const.
	* sysdeps/powerpc/powerpc64/fpu/s_round.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.  Remove redundant const values.
	* sysdeps/powerpc/powerpc64/fpu/s_roundf.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.  Remove redundant const values.
	Use float const.
	* sysdeps/powerpc/powerpc64/fpu/s_trunc.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.
	* sysdeps/powerpc/powerpc64/fpu/s_truncf.S: Use EALIGN for Quadword
	alignment.  Fix -0.0 case.  Remove redundant const values.
	Use float const.

2004-12-29  Jakub Jelinek  <jakub@redhat.com>

	[BZ #592]
	* sysdeps/ia64/fpu/libm_support.h (__libm_error_support): Use
	libc_hidden_proto instead of HIDDEN_PROTO.
	* sysdeps/ia64/fpu/libm-symbols.h (HIDDEN_PROTO): Remove.
	(__libm_error_support): If ASSEMBLER and in libc, define to
	HIDDEN_JUMPTARGET(__libm_error_support).

2004-12-28  David Mosberger  <davidm@hpl.hp.com>

	[BZ #592]
	* sysdeps/ia64/fpu/Makefile (duplicated-routines): New macro.
	(sysdep_routines): Replace libm_ldexp{,f,l} and libm_scalbn{,f,l}
	with $(duplicated-routines).
	(libm-sysdep_routines): Likewise, but substitute "s_" prefix for
	"m_" prefix.

2004-12-27  David Mosberger  <davidm@hpl.hp.com>

	[BZ #592]
	* sysdeps/ia64/fpu/libm-symbols.h: Add include of <sysdep.h> and
	undefine "ret" macro.  Add __libm_error_support hidden definitions.

	[BZ #592]
	* sysdeps/ia64/fpu/e_lgamma_r.c: Remove CVS-id comment.  Add
	missing portion of copyright statement.
	* sysdeps/ia64/fpu/e_lgammaf_r.c: Likewise.
	* sysdeps/ia64/fpu/e_lgammal_r.c: Likewise.

	[BZ #592]
	* sysdeps/ia64/fpu/w_lgamma.c: Remove CVS-id comment.  Add
	missing portion of copyright statement.
	(__ieee754_lgamma): Rename from lgamma().  Make lgamma() a weak alias.
	(__ieee754_gamma): Likewise.
	* sysdeps/ia64/fpu/w_lgammaf.c: Likewise.
	* sysdeps/ia64/fpu/w_lgammal.c: Likewise.

2004-12-09  H.J. Lu <hjl@lucon.org>

	[BZ #592]
	* sysdeps/ia64/fpu/s_nextafterl.c: Remove.
	* sysdeps/ia64/fpu/s_nexttoward.c: Likewise.
	* sysdeps/ia64/fpu/s_nexttowardf.c: Likewise.
	* sysdeps/ia64/fpu/e_atan2l.S: Remove (duplicate of e_atan2l.c).
	* sysdeps/ia64/fpu/e_expl.S: Likewise.
	* sysdeps/ia64/fpu/e_logl.c: Remove (conflicts with e_logl.S).

2004-11-18  David Mosberger  <davidm@hpl.hp.com>

	[BZ #592]
	* sysdeps/ia64/fpu/README: New file.
	* sysdeps/ia64/fpu/gen_import_file_list: New file.
	* sysdeps/ia64/fpu/import_check: Likewise.
	* sysdeps/ia64/fpu/import_diffs: Likewise.
	* sysdeps/ia64/fpu/import_file.awk: Likewise.
	* sysdeps/ia64/fpu/import_intel_libm: Likewise.
	* sysdeps/ia64/fpu/libm-symbols.h: Likewise.

	[BZ #592]
	* sysdeps/ia64/fpu/e_acos.S: Update from Intel libm v2.1+.
	* sysdeps/ia64/fpu/e_acosf.S: Likewise.
	* sysdeps/ia64/fpu/e_acosl.S: Likewise.
	* sysdeps/ia64/fpu/e_asin.S: Likewise.
	* sysdeps/ia64/fpu/e_asinf.S: Likewise.
	* sysdeps/ia64/fpu/e_asinl.S: Likewise.
	* sysdeps/ia64/fpu/e_atan2.S: Likewise.
	* sysdeps/ia64/fpu/e_atan2f.S: Likewise.
	* sysdeps/ia64/fpu/e_cosh.S: Likewise.
	* sysdeps/ia64/fpu/e_coshf.S: Likewise.
	* sysdeps/ia64/fpu/e_coshl.S: Likewise.
	* sysdeps/ia64/fpu/e_exp.S: Likewise.
	* sysdeps/ia64/fpu/e_expf.S: Likewise.
	* sysdeps/ia64/fpu/e_fmod.S: Likewise.
	* sysdeps/ia64/fpu/e_fmodf.S: Likewise.
	* sysdeps/ia64/fpu/e_fmodl.S: Likewise.
	* sysdeps/ia64/fpu/e_hypot.S: Likewise.
	* sysdeps/ia64/fpu/e_hypotf.S: Likewise.
	* sysdeps/ia64/fpu/e_hypotl.S: Likewise.
	* sysdeps/ia64/fpu/e_log.S: Likewise.
	* sysdeps/ia64/fpu/e_log2.S: Likewise.
	* sysdeps/ia64/fpu/e_log2f.S: Likewise.
	* sysdeps/ia64/fpu/e_log2l.S: Likewise.
	* sysdeps/ia64/fpu/e_logf.S: Likewise.
	* sysdeps/ia64/fpu/e_pow.S: Likewise.
	* sysdeps/ia64/fpu/e_powf.S: Likewise.
	* sysdeps/ia64/fpu/e_powl.S: Likewise.
	* sysdeps/ia64/fpu/e_remainder.S: Likewise.
	* sysdeps/ia64/fpu/e_remainderf.S: Likewise.
	* sysdeps/ia64/fpu/e_remainderl.S: Likewise.
	* sysdeps/ia64/fpu/e_scalb.S: Likewise.
	* sysdeps/ia64/fpu/e_scalbf.S: Likewise.
	* sysdeps/ia64/fpu/e_scalbl.S: Likewise.
	* sysdeps/ia64/fpu/e_sinh.S: Likewise.
	* sysdeps/ia64/fpu/e_sinhf.S: Likewise.
	* sysdeps/ia64/fpu/e_sinhl.S: Likewise.
	* sysdeps/ia64/fpu/e_sqrt.S: Likewise.
	* sysdeps/ia64/fpu/e_sqrtf.S: Likewise.
	* sysdeps/ia64/fpu/e_sqrtl.S: Likewise.
	* sysdeps/ia64/fpu/libm_error.c: Likewise.
	* sysdeps/ia64/fpu/libm_reduce.c: Likewise.
	* sysdeps/ia64/fpu/libm_support.h: Likewise.
	* sysdeps/ia64/fpu/s_atan.S: Likewise.
	* sysdeps/ia64/fpu/s_atanf.S: Likewise.
	* sysdeps/ia64/fpu/s_atanl.S: Likewise.
	* sysdeps/ia64/fpu/s_cbrt.S: Likewise.
	* sysdeps/ia64/fpu/s_cbrtf.S: Likewise.
	* sysdeps/ia64/fpu/s_cbrtl.S: Likewise.
	* sysdeps/ia64/fpu/s_ceil.S: Likewise.
	* sysdeps/ia64/fpu/s_ceilf.S: Likewise.
	* sysdeps/ia64/fpu/s_ceill.S: Likewise.
	* sysdeps/ia64/fpu/s_cos.S: Likewise.
	* sysdeps/ia64/fpu/s_cosf.S: Likewise.
	* sysdeps/ia64/fpu/s_cosl.S: Likewise.
	* sysdeps/ia64/fpu/s_expm1.S: Likewise.
	* sysdeps/ia64/fpu/s_expm1f.S: Likewise.
	* sysdeps/ia64/fpu/s_expm1l.S: Likewise.
	* sysdeps/ia64/fpu/s_fabs.S: Likewise.
	* sysdeps/ia64/fpu/s_fabsf.S: Likewise.
	* sysdeps/ia64/fpu/s_fabsl.S: Likewise.
	* sysdeps/ia64/fpu/s_floor.S: Likewise.
	* sysdeps/ia64/fpu/s_floorf.S: Likewise.
	* sysdeps/ia64/fpu/s_floorl.S: Likewise.
	* sysdeps/ia64/fpu/s_frexp.c: Likewise.
	* sysdeps/ia64/fpu/s_frexpf.c: Likewise.
	* sysdeps/ia64/fpu/s_frexpl.c: Likewise.
	* sysdeps/ia64/fpu/s_ilogb.S: Likewise.
	* sysdeps/ia64/fpu/s_ilogbf.S: Likewise.
	* sysdeps/ia64/fpu/s_ilogbl.S: Likewise.
	* sysdeps/ia64/fpu/s_log1p.S: Likewise.
	* sysdeps/ia64/fpu/s_log1pf.S: Likewise.
	* sysdeps/ia64/fpu/s_log1pl.S: Likewise.
	* sysdeps/ia64/fpu/s_logb.S: Likewise.
	* sysdeps/ia64/fpu/s_logbf.S: Likewise.
	* sysdeps/ia64/fpu/s_logbl.S: Likewise.
	* sysdeps/ia64/fpu/s_modf.S: Likewise.
	* sysdeps/ia64/fpu/s_modff.S: Likewise.
	* sysdeps/ia64/fpu/s_modfl.S: Likewise.
	* sysdeps/ia64/fpu/s_nearbyint.S: Likewise.
	* sysdeps/ia64/fpu/s_nearbyintf.S: Likewise.
	* sysdeps/ia64/fpu/s_nearbyintl.S: Likewise.
	* sysdeps/ia64/fpu/s_rint.S: Likewise.
	* sysdeps/ia64/fpu/s_rintf.S: Likewise.
	* sysdeps/ia64/fpu/s_rintl.S: Likewise.
	* sysdeps/ia64/fpu/s_round.S: Likewise.
	* sysdeps/ia64/fpu/s_roundf.S: Likewise.
	* sysdeps/ia64/fpu/s_roundl.S: Likewise.
	* sysdeps/ia64/fpu/s_significand.S: Likewise.
	* sysdeps/ia64/fpu/s_significandf.S: Likewise.
	* sysdeps/ia64/fpu/s_significandl.S: Likewise.
	* sysdeps/ia64/fpu/s_tan.S: Likewise.
	* sysdeps/ia64/fpu/s_tanf.S: Likewise.
	* sysdeps/ia64/fpu/s_tanl.S: Likewise.
	* sysdeps/ia64/fpu/s_trunc.S: Likewise.
	* sysdeps/ia64/fpu/s_truncf.S: Likewise.
	* sysdeps/ia64/fpu/s_truncl.S: Likewise.

	[BZ #592]
	* sysdeps/ia64/fpu/e_acosh.S: New file from Intel libm v2.1+.
	* sysdeps/ia64/fpu/e_acoshf.S: Likewise.
	* sysdeps/ia64/fpu/e_acoshl.S: Likewise.
	* sysdeps/ia64/fpu/e_atanh.S: Likewise.
	* sysdeps/ia64/fpu/e_atanhf.S: Likewise.
	* sysdeps/ia64/fpu/e_atanhl.S: Likewise.
	* sysdeps/ia64/fpu/e_exp10.S: Likewise.
	* sysdeps/ia64/fpu/e_exp10f.S: Likewise.
	* sysdeps/ia64/fpu/e_exp10l.S: Likewise.
	* sysdeps/ia64/fpu/e_exp2.S: Likewise.
	* sysdeps/ia64/fpu/e_exp2f.S: Likewise.
	* sysdeps/ia64/fpu/e_exp2l.S: Likewise.
	* sysdeps/ia64/fpu/e_lgamma_r.S: Likewise.
	* sysdeps/ia64/fpu/e_lgammaf_r.S: Likewise.
	* sysdeps/ia64/fpu/e_lgammal_r.S: Likewise.
	* sysdeps/ia64/fpu/e_logl.S: Likewise.
	* sysdeps/ia64/fpu/libm_frexp.S: Likewise.
	* sysdeps/ia64/fpu/libm_frexpf.S: Likewise.
	* sysdeps/ia64/fpu/libm_frexpl.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_ldexp.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_ldexpf.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_ldexpl.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_scalbn.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_scalbnf.S: Likewise.
	* sysdeps/ia64/fpu/s_libm_scalbnl.S: Likewise.
	* sysdeps/ia64/fpu/libm_lgamma.S: Likewise.
	* sysdeps/ia64/fpu/libm_lgammaf.S: Likewise.
	* sysdeps/ia64/fpu/libm_lgammal.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincos.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincos_large.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincosf.S: Likewise.
	* sysdeps/ia64/fpu/libm_sincosl.S: Likewise.
	* sysdeps/ia64/fpu/libm_scalblnf.S: Likewise.
	* sysdeps/ia64/fpu/s_asinh.S: Likewise.
	* sysdeps/ia64/fpu/s_asinhf.S: Likewise.
	* sysdeps/ia64/fpu/s_asinhl.S: Likewise.
	* sysdeps/ia64/fpu/s_erf.S: Likewise.
	* sysdeps/ia64/fpu/s_erfc.S: Likewise.
	* sysdeps/ia64/fpu/s_erfcf.S: Likewise.
	* sysdeps/ia64/fpu/s_erfcl.S: Likewise.
	* sysdeps/ia64/fpu/s_erff.S: Likewise.
	* sysdeps/ia64/fpu/s_erfl.S: Likewise.
	* sysdeps/ia64/fpu/s_fdim.S: Likewise.
	* sysdeps/ia64/fpu/s_fdimf.S: Likewise.
	* sysdeps/ia64/fpu/s_fdiml.S: Likewise.
	* sysdeps/ia64/fpu/s_fma.S: Likewise.
	* sysdeps/ia64/fpu/s_fmaf.S: Likewise.
	* sysdeps/ia64/fpu/s_fmal.S: Likewise.
	* sysdeps/ia64/fpu/s_fmax.S: Likewise.
	* sysdeps/ia64/fpu/s_fmaxf.S: Likewise.
	* sysdeps/ia64/fpu/s_fmaxl.S: Likewise.
	* sysdeps/ia64/fpu/s_ldexp.c: Likewise.
	* sysdeps/ia64/fpu/s_ldexpf.c: Likewise.
	* sysdeps/ia64/fpu/s_ldexpl.c: Likewise.
	* sysdeps/ia64/fpu/s_nextafter.S: Likewise.
	* sysdeps/ia64/fpu/s_nextafterf.S: Likewise.
	* sysdeps/ia64/fpu/s_nextafterl.S: Likewise.
	* sysdeps/ia64/fpu/s_nexttoward.S: Likewise.
	* sysdeps/ia64/fpu/s_nexttowardf.S: Likewise.
	* sysdeps/ia64/fpu/s_nexttowardl.S: Likewise.
	* sysdeps/ia64/fpu/s_tanh.S: Likewise.
	* sysdeps/ia64/fpu/s_tanhf.S: Likewise.
	* sysdeps/ia64/fpu/s_tanhl.S: Likewise.
	* sysdeps/ia64/fpu/s_scalblnf.c: Likewise.
	* sysdeps/ia64/fpu/w_lgamma.c: Likewise.
	* sysdeps/ia64/fpu/w_lgammaf.c: Likewise.
	* sysdeps/ia64/fpu/w_lgammal.c: Likewise.
	* sysdeps/ia64/fpu/w_tgamma.S: Likewise.
	* sysdeps/ia64/fpu/w_tgammaf.S: Likewise.
	* sysdeps/ia64/fpu/w_tgammal.S: Likewise.

	[BZ #592]
	* sysdeps/ia64/fpu/e_gamma_r.c: New empty dummy-file.
	* sysdeps/ia64/fpu/e_gammaf_r.c: Likewise.
	* sysdeps/ia64/fpu/e_gammal_r.c: Likewise.
	* sysdeps/ia64/fpu/w_acosh.c: Likewise.
	* sysdeps/ia64/fpu/w_acoshf.c: Likewise.
	* sysdeps/ia64/fpu/w_acoshl.c: Likewise.
	* sysdeps/ia64/fpu/w_atanh.c: Likewise.
	* sysdeps/ia64/fpu/w_atanhf.c: Likewise.
	* sysdeps/ia64/fpu/w_atanhl.c: Likewise.
	* sysdeps/ia64/fpu/w_exp10.c: Likewise.
	* sysdeps/ia64/fpu/w_exp10f.c: Likewise.
	* sysdeps/ia64/fpu/w_exp10l.c: Likewise.
	* sysdeps/ia64/fpu/w_exp2.c: Likewise.
	* sysdeps/ia64/fpu/w_exp2f.c: Likewise.
	* sysdeps/ia64/fpu/w_exp2l.c: Likewise.
	* sysdeps/ia64/fpu/w_expl.c: Likewise.
	* sysdeps/ia64/fpu/e_expl.S: Likewise.
	* sysdeps/ia64/fpu/w_lgamma_r.c: Likewise.
	* sysdeps/ia64/fpu/w_lgammaf_r.c: Likewise.
	* sysdeps/ia64/fpu/w_lgammal_r.c: Likewise.
	* sysdeps/ia64/fpu/w_log2.c: Likewise.
	* sysdeps/ia64/fpu/w_log2f.c: Likewise.
	* sysdeps/ia64/fpu/w_log2l.c: Likewise.
	* sysdeps/ia64/fpu/w_sinh.c: Likewise.
	* sysdeps/ia64/fpu/w_sinhf.c: Likewise.
	* sysdeps/ia64/fpu/w_sinhl.c: Likewise.

	[BZ #592]
	* sysdeps/ia64/fpu/libm_atan2_reg.S: Remove.
	* sysdeps/ia64/fpu/s_ldexp.S: Likewise.
	* sysdeps/ia64/fpu/s_ldexpf.S: Likewise.
	* sysdeps/ia64/fpu/s_ldexpl.S: Likewise.
	* sysdeps/ia64/fpu/s_scalbn.S: Likewise.
	* sysdeps/ia64/fpu/s_scalbnf.S: Likewise.
	* sysdeps/ia64/fpu/s_scalbnl.S: Likewise.

	[BZ #592]
	* sysdeps/ia64/fpu/s_sincos.c: Make it an empty dummy-file.
	* sysdeps/ia64/fpu/s_sincosf.c: Likewise.
	* sysdeps/ia64/fpu/s_sincosl.c: Likewise.

	[BZ #592]
	* sysdeps/ia64/fpu/e_atan2l.S: Add "Not needed" comment.

	[BZ #592]
	* sysdeps/ia64/fpu/s_copysign.S: Add __libm_copysign{,f,l}
	alias for use by libm_error.c

	[BZ #592]
	* sysdeps/ia64/fpu/Makefile (libm-sysdep_routines): Remove
	libm_atan2_reg, libm_tan, libm_frexp4{f,l}.
	Mention s_erfc{,f,l}, libm_frexp{,f,l}, libm_ldexp{,f,l},
	libm_sincos{,f,l}, libm_sincos_large, libm_lgamma{,f,l},
	libm_scalbn{,f,l}, libm_scalblnf.
	(sysdep_routines): Remove libm_frexp4{,f,l}.
	Mention libm_frexp{,f,l}, libm_ldexp{,f,l}, and libm_scalbn{,f,l}.
	(sysdep-CPPFLAGS): Add -include libm-symbols.h, -D__POSIX__,
	_D_LIB_VERSIONIMF=_LIB_VERSION, -DSIZE_LONG_INT_64, and
	-DSIZE_LONG_LONG_INT_64.

2005-01-05  Steven Munroe  <sjmunroe@us.ibm.com>

	[BZ #729]
	* elf/rtld.c (dl_main) [NEED_DL_SYSINFO_DSO]: Insure l_map_end and
	l_text_end are set for a VDSO with a single PT_LOAD entry.

2005-01-05  Ulrich Drepper  <drepper@redhat.com>

	[BZ #730]
	* libio/iofopncook.c (_IO_cookie_seekoff): Define.  Mark offset as
	invalid to disable optimizations in fileops which won't work here.
	(_IO_cookie_jumps): Use it.
	(_IO_old_cookie_jumps): Likewise.
	* libio/fmemopen.c (fmemopen_seek): Result must be returned in *P,
	not the return value.
	* stdio-common/Makefile (tests): Add tst-fmemopen2.
	* stdio-common/tst-fmemopen2.c: New file.

2005-01-03  Ulrich Drepper  <drepper@redhat.com>

	[BZ #727]
	* sysdeps/generic/libc-start.c [SHARED] (__libc_start_main): Don't
	initialize __environ again.
	* stdlib/Makefile: Add rules to build and run tst-putenv.
	* stdlib/tst-putenv.c: New file.
	* stdlib/tst-putenvmod.c: New file.

2005-01-03  Andreas Jaeger  <aj@suse.de>

	* csu/Makefile (generated): Add start.os and start.ob.

2004-12-29  Roland McGrath  <roland@redhat.com>

	[BZ #626]
	* sysdeps/unix/alarm.c (alarm): Round return value to nearest rather
	than always up; when nearest is zero, round up to one.

2004-12-28  Ulrich Drepper  <drepper@redhat.com>

	[BZ #726]
	* sysdeps/generic/dl-tls.c (__tls_get_addr): Fix typo.

2004-12-27  Ulrich Drepper  <drepper@redhat.com>

	[BZ #744]
	* include/signal.h: Define __sigemptyset.

2004-12-21  Jakub Jelinek  <jakub@redhat.com>

	[BZ #723]
	* sysdeps/unix/sysv/linux/i386/clone.S (__clone): Make sure %esp when
	calling fn is 16 byte aligned.
	* sysdeps/i386/tst-stack-align.h: New file.

	[BZ #725]
	* misc/efgcvt_r.c (FLOAT_MIN_10_EXP, FLOAT_MIN_10_NORM): Define.
	(ecvt_r): Special case denormals.
	* misc/qefgcvt_r.c (FLOAT_MIN_10_EXP, FLOAT_MIN_10_NORM): Define.
	* misc/tst-efgcvt.c: Include float.h.
	(ecvt_tests): Add 2 new tests.


See ChangeLog.15 for earlier changes.
